# E.S.O. - VLT project/ESO Archive
# $Id: depend.mk,v 1.3 1997/04/11 10:47:18 abrighto Exp $
#
# depend.mk - include Makefile for generating automatic dependencies
#
# who             when       what
# --------------  ---------  ---------------------------------------------
# Allan Brighton  05 Apr 96  Created
# ------------------------------------------------------------------------

# generate automatic dependencies
depend: $(DEPEND_TARGET) objlist

# makedepend sometimes gets confused by #ifdefs in system headers...
makedepend:
	-makedepend $(DEPEND_FLAGS) $(SRCS)

# gcc supports the -MM option for dependencies, 
# which works better than makedepend in some cases
dep: 
	@echo "generating depencies in $(PWD)"
	@sed -e '/# DO NOT DELETE THIS LINE/,$$d' < Makefile > Makefile.tmp
	@echo '# DO NOT DELETE THIS LINE -- make depend depends on it.' >> Makefile.tmp
	$(CXX) -MM $(CC_SWITCHES) $(SRCS) >> Makefile.tmp
	@cp Makefile Makefile.bak
	@mv Makefile.tmp Makefile

# generate a file with a list of object files (full path names) for this dir
objlist: 
	rm -f .objs
	d=`pwd`; for i in $(OBJS); do echo $$d/$$i >> .objs; done

depclean:
	rm -f .objs

